Bug 445658 - livecd-iso-to-disk
livecd-iso-to-disk
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-08 07:17 EDT by Victor Bogado
Modified: 2008-05-27 15:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-27 15:33:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Victor Bogado 2008-05-08 07:17:05 EDT
Description of problem:
The tool should do some sanity tests before wiping out a disk partition. I
though in at least two.  

1. check if the target partition is mounted, to avoid messing with a live system. 

2. check if the target partition is not from an internal HD, unless some option
to override this is used in the command line. 

Any one of those checks would have prevented this to happed: 

http://iquaid.org/2008/05/08/partition-devsd-namespace-fail/

Ps. How do I mark a bug as an enhancement? :P
Comment 1 Bug Zapper 2008-05-14 06:50:13 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jeremy Katz 2008-05-27 15:33:52 EDT
Added a (simple) check to see if the device is mounted or in use as a swap. 
Note that it's not fool-proof but it should help some of the obvious ways of
problems.  And longer-term, people should likely be using
https://fedorahosted.org/liveusb-creator/ if they're likely to be shooting
themselves in the foot ;)

Note You need to log in before you can comment on or make changes to this bug.